petsc-3.4.2 2013-07-02

# PCShellSetContext

sets the context for a shell PC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetContext(PC pc,void *ctx)

Logically Collective on PC

### Input Parameters

| pc | - the shell PC
| ctx | - the context

Fortran Notes: The context can only be an integer or a PetscObject unfortunately it cannot be a Fortran array or derived type.

### See Also

PCShellGetContext(), PCSHELL

Level:advanced
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html